Last Comment Bug 851304 - nsContextMenu.js save as handler creates a channel without regard for privacy status
: nsContextMenu.js save as handler creates a channel without regard for privacy...
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Download & File Handling (show other bugs)
: unspecified
: All All
: -- normal (vote)
: seamonkey2.19
Assigned To: neil@parkwaycc.co.uk
:
:
Mentors:
Depends on:
Blocks: 460895
  Show dependency treegraph
 
Reported: 2013-03-14 14:42 PDT by neil@parkwaycc.co.uk
Modified: 2013-04-05 16:10 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed


Attachments
Proposed patch (1003 bytes, patch)
2013-03-14 14:46 PDT, neil@parkwaycc.co.uk
iann_bugzilla: review+
philip.chee: feedback+
iann_bugzilla: approval‑comm‑beta+
Details | Diff | Splinter Review

Description neil@parkwaycc.co.uk 2013-03-14 14:42:23 PDT
+++ This bug was initially created as a clone of Bug #792517 +++

Ratty spotted this while reviewing bug 849440.
Comment 1 neil@parkwaycc.co.uk 2013-03-14 14:46:19 PDT
Created attachment 725123 [details] [diff] [review]
Proposed patch
Comment 2 Philip Chee 2013-03-15 06:27:50 PDT
Comment on attachment 725123 [details] [diff] [review]
Proposed patch

f=me
Comment 3 neil@parkwaycc.co.uk 2013-03-18 17:21:19 PDT
Pushed comm-central changeset 808981a7dd77.
Comment 4 neil@parkwaycc.co.uk 2013-04-02 14:01:23 PDT
Comment on attachment 725123 [details] [diff] [review]
Proposed patch

[Approval Request Comment]
Regression caused by (bug #): 
User impact if declined: Potential information leak
Testing completed (on m-c, etc.): Uplifted to c-a
Risk to taking this patch (and alternatives if risky): Low
String changes made by this patch: None
Comment 5 neil@parkwaycc.co.uk 2013-04-02 14:02:39 PDT
Comment on attachment 725123 [details] [diff] [review]
Proposed patch

[Approval Request Comment]
Regression caused by (bug #): 
User impact if declined: Potential information leak
Testing completed (on m-c, etc.): Uplifted to c-a
Risk to taking this patch (and alternatives if risky): Low
String changes made by this patch: None
Comment 6 neil@parkwaycc.co.uk 2013-04-05 16:10:25 PDT
http://hg.mozilla.org/releases/comm-beta/rev/161dfb7785ac

Note You need to log in before you can comment on or make changes to this bug.